sed -i "s|;listen.owner\s*=\s*nobody|listen.owner = nginx|g" /etc/php${PHP_VERSION}/php-fpm.d/www.conf
sed -i "s|;listen.group\s*=\s*nobody|listen.group = nginx|g" /etc/php${PHP_VERSION}/php-fpm.d/www.conf
sed -i "s|;listen.mode\s*=\s*0660|listen.mode = 0660|g" /etc/php${PHP_VERSION}/php-fpm.d/www.conf
sed -i "s|user\s*=\s*nobody|user = nginx|g" /etc/php${PHP_VERSION}/php-fpm.d/www.conf
sed -i "s|group\s*=\s*nobody|group = nginx|g" /etc/php${PHP_VERSION}/php-fpm.d/www.conf
sed -i "s|;log_level\s*=\s*notice|log_level = ${PHP_LOG_LEVEL}|g" /etc/php${PHP_VERSION}/php-fpm.conf

sed -i "s|display_errors\s*=\s*Off|display_errors = ${PHP_DISPLAY_ERRORS}|i" /etc/php${PHP_VERSION}/php.ini
sed -i "s|display_startup_errors\s*=\s*Off|display_startup_errors = ${PHP_DISPLAY_STARTUP_ERRORS}|i" /etc/php${PHP_VERSION}/php.ini
sed -i "s|error_reporting\s*=\s*E_ALL & ~E_DEPRECATED & ~E_STRICT|error_reporting = ${PHP_ERROR_REPORTING}|i" /etc/php${PHP_VERSION}/php.ini
sed -i "s|;*memory_limit =.*|memory_limit = ${PHP_MEMORY_LIMIT}|i" /etc/php${PHP_VERSION}/php.ini
sed -i "s|;*upload_max_filesize =.*|upload_max_filesize = ${PHP_MAX_UPLOAD}|i" /etc/php${PHP_VERSION}/php.ini
sed -i "s|;*max_file_uploads =.*|max_file_uploads = ${PHP_MAX_FILE_UPLOAD}|i" /etc/php${PHP_VERSION}/php.ini
sed -i "s|;*post_max_size =.*|post_max_size = ${PHP_MAX_POST}|i" /etc/php${PHP_VERSION}/php.ini
sed -i "s|;*cgi.fix_pathinfo=.*|cgi.fix_pathinfo= ${PHP_CGI_FIX_PATHINFO}|i" /etc/php${PHP_VERSION}/php.ini
sed -i "s|expose_php\s*=\s*On|expose_php = ${PHP_EXPOSE_INFO}|i" /etc/php${PHP_VERSION}/php.ini
sed -i "s|file_uploads\s*=\s*On|file_uploads = ${PHP_FILE_UPLOADS}|i" /etc/php${PHP_VERSION}/php.ini
sed -i "s|max_execution_time\s*=.*|max_execution_time = ${PHP_MAX_EXECUTION_TIME}|i" /etc/php${PHP_VERSION}/php.ini

/usr/sbin/php-fpm${PHP_VERSION}
/usr/sbin/nginx -g "daemon off;"